## unity-scope-contacts-calllog 0.2.2-0newyork7

=== CMakeLists.txt ===
project(unity-scope-contacts-calllog)

cmake_minimum_required(VERSION 2.6.0)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# Standard install paths
include(GNUInstallDirs)

include(FindPkgConfig)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(TLPLOGGER REQUIRED telepathy-logger-0.2)
pkg_check_modules(UNITY REQUIRED unity)

execute_process(COMMAND pkg-config --variable=lensesdir unity
                OUTPUT_VARIABLE UNITY_LENS_DIR
                OUTPUT_STRIP_TRAILING_WHITESPACE)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(autostart)

=== autostart/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/create-ufa-account.desktop.in
               ${CMAKE_CURRENT_BINARY_DIR}/create-ufa-account.desktop @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/create-ufa-account.desktop
        DESTINATION /${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart)

install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/create-ufa-account.sh
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/unity-lens-contacts)

=== data/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/unity-scope-contacts-calllog.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/unity-scope-contacts-calllog.service @ONLY)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/unity-scope-contacts-calllog.service
        DESTINATION /usr/share/dbus-1/services
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/contacts-calllog.scope
        DESTINATION ${UNITY_LENS_DIR}/contacts
)

=== src/CMakeLists.txt ===
project(scope-call-log)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

set(SCOPE_CALL_LOG_SRC
    scope-call-log.h
    scope-call-log.c
    main.c)

add_executable(unity-scope-contacts-calllog ${SCOPE_CALL_LOG_SRC})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GLIB_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${TLPLOGGER_INCLUDE_DIRS}
    ${UNITY_INCLUDE_DIRS}
)

target_link_libraries(unity-scope-contacts-calllog
    ${GLIB_LDFLAGS}
    ${GIO_LDFLAGS}
    ${TLPLOGGER_LDFLAGS}
    ${UNITY_LDFLAGS}
)

install(TARGETS unity-scope-contacts-calllog
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/unity-lens-contacts
)

=== debian/changelog ===
unity-scope-contacts-calllog (0.2.2-0newyork7) precise; urgency=low

  [ Tiago Salem Herrmann ]
  * Limit call log results to 50

  [ PS Jenkins bot ]
  * Auto build.

 -- PS Jenkins bot <ps-jenkins@lists.canonical.com>  Fri, 10 May 2013 18:20:58 +0000

unity-scope-contacts-calllog (0.2.2-0newyork6) precise; urgency=low

  * In the latest telepathy-logger, the id is not contactid:phonenumber anymore,
    it is just the phone number now.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 06 Sep 2012 16:53:27 -0300

unity-scope-contacts-calllog (0.2.2-0newyork5) precise; urgency=low

  * enable and set to auto-connect the ufa account every boot

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 25 Jul 2012 14:30:55 -0700

unity-scope-contacts-calllog (0.2.2-0newyork4) precise; urgency=low

  * Parse log id to find the correct contact phone number before create call uri.
    (LP: #1021862)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 11 Jul 2012 14:27:24 -0700

unity-scope-contacts-calllog (0.2.2-0newyork3) precise; urgency=low

  * Fixed call log timestamp.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 10 Jul 2012 09:57:22 -0700

unity-scope-contacts-calllog (0.2.2-0newyork2) precise; urgency=low

  * Create auto start script to register ufa account.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Fri, 15 Jun 2012 15:51:28 -0700

unity-scope-contacts-calllog (0.2.2-0newyork1) precise; urgency=low

  * Fixes lp:1013297 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 14 Jun 2012 11:31:44 -0700

unity-scope-contacts-calllog (0.2.1-0newyork1) precise; urgency=low

  * Fixed bug for empty accounts. 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 12 Jun 2012 13:34:35 -0700

unity-scope-contacts-calllog (0.2-0newyork2) precise; urgency=low

  * Added more missing dependecies. 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 06 Jun 2012 12:09:31 -0700

unity-scope-contacts-calllog (0.2-0newyork1) precise; urgency=low

  * Fixed build dependencies.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 05 Jun 2012 14:32:34 -0700

unity-scope-contacts-calllog (0.1) precise; urgency=low

  * Initial Package 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 05 Jun 2012 12:13:22 -0700

=== debian/control ===
Source: unity-scope-contacts-calllog
Section: gnome
Priority: optional
Maintainer: Renato Araujo Oliveira Filho <renato@canonical.com>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs,
               cmake,
               libglib2.0-dev,
               libtelepathy-logger-dev,
               libtelepathy-glib-dev,
               libunity-core-5.0-dev,
               libxml2-dev,
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~newyork-team/newyork/unity-scope-contacts-calllog

Package: unity-scope-contacts-calllog
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtelepathy-logger2,
         libtelepathy-glib0,
         unity-lens-contacts,
         telepathy-logger,
         libxml2
Description: Unity scope for contacts lens
 This package contaions the "call log" scope to be used
 inside Unity to search for call log.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_DH_SHLIBDEPS_ARGS_ALL="--dpkg-shlibdeps-params=--ignore-missing-info"
